#
# spec file for package smc-tools
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           smc-tools
Version:        1.0.0
Release:        lp150.1.8
Url:            https://www.ibm.com/developerworks/linux/linux390/smc-tools.html
Summary:        Shared Memory Communication via RDMA
License:        EPL-1.0
Group:          System/Kernel
Source:         %{name}-%{version}.tar.gz

# aarch64 and ppc64le don't support 32bit applications, so there's no
# gcc-32bit package that can be installed
%ifarch s390x x86_64
BuildRequires:  gcc-32bit
%define have_32bit 1
%endif
BuildRequires:  libnl3-devel

ExcludeArch:    %{arm}

# While repos other than Factory have 32bit for s390x, Factory does not
%if 0%{?suse_version} == 1330
%ifarch s390x
%define have_32bit 0
%endif
%endif

%description
Shared Memory Communication via RDMA (SMC) is a socket over RDMA
communication protocol that allows existing TCP socket applications to
transparently benefit from RDMA when exchanging data via an RDMA over
Converged Ethernet (RoCE) network.

The tools provided in this package allow existing TCP applications
to use a RoCE network without needing to make changes in them.

%prep
%setup

%build
MYCFLAGS=$(grep ^CFLAGS Makefile | cut -f2 -d=)
make CFLAGS="${MYCFLAGS} %{optflags}"

%install
%make_install

%ifarch s390 %{ix86} 
rm -Rf "%{buildroot}/usr/lib64"
%endif

%files
%defattr(-,root,root)
%doc README.smctools LICENSE
%{_bindir}/smc_pnet
%{_bindir}/smc_run
%{_bindir}/smcss
%{_libdir}/ld_pre_smc.so
%if 0%{?have_32bit}
/usr/lib/ld_pre_smc.so
%endif
%{_mandir}/man7/af_smc.7%{ext_man}
%{_mandir}/man8/smc_pnet.8%{ext_man}
%{_mandir}/man8/smc_run.8%{ext_man}
%{_mandir}/man8/smcss.8%{ext_man}

%changelog
* Fri Sep 29 2017 mpost@suse.com
- Added an ExcludeArch for %%{arm} so that we won't try to build
  the package on armv7l. The build fails on that architecture.
* Mon Apr  3 2017 jengelh@inai.de
- Update summary. Replace old RPM shell variables by macros.
* Mon Mar 20 2017 mpost@suse.com
- Upgraded to version 1.0.0 (Fate#322376).
* Fri May  6 2016 mpost@suse.com
- Initial packaging of version 0.1.1 (Fate#319569).
